const TaskBase=require("../../task.base");
const system = require("../../../system");
var settings = require("../../../../config/settings");
class TmtransferTask extends TaskBase{
  constructor(){
    super(TaskBase.getServiceName(TmtransferTask));
    this.restclient = system.getObject("util.restClient");
    this.transferurl = settings.reqTransferurl();
  }
  async beforeTask(params){
    console.log("前置操作......",this.serviceName);
    //this.isThrough=true; 
    //console.log(this.cacheManager);
 }
  async subDoTask(params){
    console.log(params);
    console.log("TestTask1.....");
    var url = this.transferurl + "api/transfer/tradeApi/uppaymentstatus";
    var transferinfo = await this.execlient.execGet(null, url);
    var result = JSON.parse(transferinfo.stdout)
    return result;
  }
}
module.exports=TmtransferTask;
